Summary:	powwow - MUD client
Summary(pl.UTF-8):	powwow - klient MUD
Name:		powwow
Version:	1.2.5
Release:	4
License:	GPL
Group:		Applications/Games
Source0:	http://linuz.sns.it/~max/powwow/%{name}-%{version}.tar.gz
# Source0-md5:	704b94581b396d6ea17c00a5d1149ae1
URL:		http://linuz.sns.it/~max/powwow/
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A client to play MUDs. It has a lot of features that people commonly
miss with telnet: just to say two, line editing and aliases. Developed
on MUME mud. Too many people contributed to list them all here.

%description -l pl.UTF-8
Klient do gry w MUD-y. Ma wiele możliwości, których brakuje ludziom
używającym telneta: m.in. edycja linii i aliasy. Rozwijany z mudem
MUME.

%prep
%setup -q

%build
%{__make} powwow movie_play movie2ascii follow catrw \
	CC="%{__cc}" \
	CDEFS="%{rpmcflags} -DUSE_REGEXP" \
	LDFLAGS="-lncurses %{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man6}

install powwow movie{,2ascii,_play} make_it follow catrw $RPM_BUILD_ROOT%{_bindir}
install powwow.6 $RPM_BUILD_ROOT%{_mandir}/man6

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README{,.follow,.term} Changelog Compile.how Config.demo Hacking powwow.{doc,help}
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man*/powwow*
%changelog
* Sat Dec 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/powwow.git;a=log;h=master

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> be542e1
- ncurses rebuild
- release 4 (by relup.sh)

* Thu Sep 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a2c0b31
- release 3

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 8c51a32
- dropped pre-cvs changelog

* Fri Jan 30 2009 Elan Ruusamäe <glen@pld-linux.org> d687c8d
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1c60089
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ffda18e
- converted to UTF-8

* Sun Oct 09 2005 Elan Ruusamäe <glen@pld-linux.org> 672b34c
- applied in 1.2.5

* Sun Oct 09 2005 Elan Ruusamäe <glen@pld-linux.org> 2e0f6ef
- updated to 1.2.5, added URL

* Mon Nov 03 2003 Jakub Bogusz <qboosh@pld-linux.org> 7e7b5bd
- fixed bin attr, BR: ncurses-devel

* Mon Nov 03 2003 Adam Gołębiowski <adamg@pld-linux.org> 535e0bd
- added %%defattr

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 380d2b7
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 528a09f
- massive attack s/pld.org.pl/pld-linux.org/

* Sun Aug 11 2002 Łukasz Jarosław Mozer <lukasz.mozer@gmail.com> 1389838
- temp save
- rel 0.1
- at least added %files ;-)

* Tue Jul 23 2002 kloczek <kloczek@pld-linux.org> ba7dea2
- use new %doc (package still NYF).

* Sat Feb 23 2002 kloczek <kloczek@pld-linux.org> a310a13
- adapterized.

* Fri Feb 22 2002 kloczek <kloczek@pld-linux.org> babfafe
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

* Fri Jan 18 2002 kloczek <kloczek@pld-linux.org> 0d49977
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

* Tue Dec 25 2001 Maciej Pijanka <agaran@pld-linux.org> ba39ede
- powwow time.h patch

* Tue Dec 25 2001 Maciej Pijanka <agaran@pld-linux.org> 6fa4929
- release 2: gzip %doc.

* Tue Dec 11 2001 Jakub Bogusz <qboosh@pld-linux.org> 5964fba
- pl description, better summaries

